## org.exist.soap
Class QueryResponseCollection

    java.lang.Object
      org.exist.soap.QueryResponseCollection

All Implemented Interfaces:
  java.io.Serializable

public class QueryResponseCollection
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QueryResponseCollection()`
`QueryResponseCollection(java.lang.String collectionName, QueryResponseDocuments documents)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getCollectionName()` Gets the collectionName value for this QueryResponseCollection.
`static org.apache.axis.encoding.Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`QueryResponseDocuments` `getDocuments()` Gets the documents value for this QueryResponseCollection.
`static org.apache.axis.encoding.Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` `getTypeDesc()` Return type metadata object
`int` `hashCode()`
`void` `setCollectionName(java.lang.String collectionName)` Sets the collectionName value for this QueryResponseCollection.
`void` `setDocuments(QueryResponseDocuments documents)` Sets the documents value for this QueryResponseCollection.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponseCollection

    public QueryResponseCollection()

### QueryResponseCollection

    public QueryResponseCollection(java.lang.String collectionName,
                                   QueryResponseDocuments documents)

Method Detail

### getCollectionName

    public java.lang.String getCollectionName()

  Gets the collectionName value for this QueryResponseCollection.

  Returns:
    collectionName

### setCollectionName

    public void setCollectionName(java.lang.String collectionName)

  Sets the collectionName value for this QueryResponseCollection.

  Parameters:
    `collectionName` -

### getDocuments

    public QueryResponseDocuments getDocuments()

  Gets the documents value for this QueryResponseCollection.

  Returns:
    documents

### setDocuments

    public void setDocuments(QueryResponseDocuments documents)

  Sets the documents value for this QueryResponseCollection.

  Parameters:
    `documents` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Copyright (C) Wolfgang Meier. All rights reserved.